# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/altera.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Altera's SoCFPGA platform

maintainers:
  - Dinh Nguyen <dinguyen@kernel.org>

description:
  Altera/Intel boards with ARM 32/64 bits cores

properties:
  $nodename:
    const: "/"
  compatible:
    oneOf:
      - description: Arria 5 boards
        items:
          - enum:
              - altr,socfpga-arria5-socdk
          - const: altr,socfpga-arria5
          - const: altr,socfpga

      - description: Arria 10 boards
        items:
          - enum:
              - altr,socfpga-arria10-socdk
          - const: altr,socfpga-arria10
          - const: altr,socfpga

      - description: Mercury+ AA1 boards
        items:
          - enum:
              - enclustra,mercury-aa1-pe1
              - enclustra,mercury-aa1-pe3
              - enclustra,mercury-aa1-st1
              - google,chameleon-v3
          - const: enclustra,mercury-aa1
          - const: altr,socfpga-arria10
          - const: altr,socfpga

      - description: Cyclone 5 boards
        items:
          - enum:
              - altr,socfpga-cyclone5-socdk
              - denx,mcvevk
              - ebv,socrates
              - macnica,sodia
              - novtech,chameleon96
              - samtec,vining
              - terasic,de0-atlas
              - terasic,de10-nano
              - terasic,socfpga-cyclone5-sockit
          - const: altr,socfpga-cyclone5
          - const: altr,socfpga

      - description: Mercury SA1 boards
        items:
          - enum:
              - enclustra,mercury-sa1-pe1
              - enclustra,mercury-sa1-pe3
              - enclustra,mercury-sa1-st1
          - const: enclustra,mercury-sa1
          - const: altr,socfpga-cyclone5
          - const: altr,socfpga

      - description: Mercury+ SA2 boards
        items:
          - enum:
              - enclustra,mercury-sa2-pe1
              - enclustra,mercury-sa2-pe3
              - enclustra,mercury-sa2-st1
          - const: enclustra,mercury-sa2
          - const: altr,socfpga-cyclone5
          - const: altr,socfpga

      - description: Stratix 10 boards
        items:
          - enum:
              - altr,socfpga-stratix10-socdk
              - altr,socfpga-stratix10-swvp
          - const: altr,socfpga-stratix10

      - description: AgileX boards
        items:
          - enum:
              - intel,n5x-socdk
              - intel,socfpga-agilex-n6000
              - intel,socfpga-agilex-socdk
              - intel,socfpga-agilex-socdk-emmc
          - const: intel,socfpga-agilex

      - description: Agilex3 boards
        items:
          - enum:
              - intel,socfpga-agilex3-socdk
          - const: intel,socfpga-agilex3
          - const: intel,socfpga-agilex5

      - description: Agilex5 boards
        items:
          - enum:
              - intel,socfpga-agilex5-socdk
              - intel,socfpga-agilex5-socdk-013b
              - intel,socfpga-agilex5-socdk-nand
          - const: intel,socfpga-agilex5

      - description: SoCFPGA VT
        items:
          - const: altr,socfpga-vt
          - const: altr,socfpga

additionalProperties: true

...
